Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class XWork

    java.lang.Object
      com.opensymphony.xwork2.XWork

    public class XWork

extends Object

Simple facade to make using XWork standalone easier

Constructor Summary
`XWork()`
`XWork(ConfigurationManager mgr)`

Method Summary
`void` | `executeAction(String namespace, String name, String method)` Executes an action
`void` | `executeAction(String namespace, String name, String method, Map<String,Object> extraContext)` Executes an action with extra context information
`void` | `setLoggerFactory(LoggerFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWork

    public XWork()

### XWork

    public XWork(ConfigurationManager mgr)

Method Detail

### setLoggerFactory

    public void setLoggerFactory(LoggerFactory factory)

### executeAction

    public void executeAction(String namespace,
                              String name,
                              String method)
                       throws XWorkException

  Executes an action

  Parameters:
    `namespace` - The namespace
    `name` - The action name
    `method` - The method name
  Throws:
    `Exception` - If anything goes wrong
    `XWorkException`

### executeAction

    public void executeAction(String namespace,
                              String name,
                              String method,
                              Map<String,Object> extraContext)
                       throws XWorkException

  Executes an action with extra context information

  Parameters:
    `namespace` - The namespace
    `name` - The action name
    `method` - The method name
    `extraContext` - A map of extra context information
  Throws:
    `Exception` - If anything goes wrong
    `XWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.